Subject: Re: BUG: sleeping function called from invalid context at kernel/rwsem.c:131 XFS? (was: Re: linux-next: Tree for October 17)

From: Arjan van de Ven <[email-masked]>
Date: Fri, 17 Oct 2008 13:55:10 -0700

On Fri, 17 Oct 2008 16:37:10 -0400
Christoph Hellwig <[email-masked]> wrote:

> I just ran the xfs testsuite over linux-next on qemu (i386), and I
> can't find anything at all.  Really strange.  Let's see if this still
> there with mondays linux-next, and if yes can you just try the xfs
> patch from the splitout linux-next patches and see if that alone
> causes it?
> 
> In fact that might be useful for todays linux-next, too.
> --

also if you enable lockdep, it tracks where irq's got turned off (with
a stacktrace I think) so it would provide some good clues.

-- 
Arjan van de Ven 	Intel Open Source Technology Centre
For development, discussion and tips for power savings, 
visit http://www.lesswatts.org